VERSION 5.00
Object = "{6B7E6392-850A-101B-AFC0-4210102A8DA7}#1.1#0"; "comctl32.ocx"
Begin VB.Form fShellVwr 
   BorderStyle     =   5  'Sizable ToolWindow
   ClientHeight    =   5430
   ClientLeft      =   1905
   ClientTop       =   2055
   ClientWidth     =   6615
   Icon            =   "ShellVwr.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5430
   ScaleWidth      =   6615
   ShowInTaskbar   =   0   'False
   Begin ComctlLib.TreeView Tree 
      Height          =   5415
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   6585
      _ExtentX        =   11615
      _ExtentY        =   9551
      _Version        =   327680
      Indentation     =   9
      LabelEdit       =   1
      Style           =   7
      ImageList       =   "Images"
      Appearance      =   1
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      MouseIcon       =   "ShellVwr.frx":030A
   End
   Begin ComctlLib.ImageList Images 
      Left            =   6720
      Top             =   120
      _ExtentX        =   1005
      _ExtentY        =   1005
      BackColor       =   -2147483643
      ImageWidth      =   16
      ImageHeight     =   16
      MaskColor       =   16777215
      _Version        =   327680
      BeginProperty Images {0713E8C2-850A-101B-AFC0-4210102A8DA7} 
         NumListImages   =   4
         BeginProperty ListImage1 {0713E8C3-850A-101B-AFC0-4210102A8DA7} 
            Picture         =   "ShellVwr.frx":0326
            Key             =   ""
         EndProperty
         BeginProperty ListImage2 {0713E8C3-850A-101B-AFC0-4210102A8DA7} 
            Picture         =   "ShellVwr.frx":0640
            Key             =   ""
         EndProperty
         BeginProperty ListImage3 {0713E8C3-850A-101B-AFC0-4210102A8DA7} 
            Picture         =   "ShellVwr.frx":095A
            Key             =   ""
         EndProperty
         BeginProperty ListImage4 {0713E8C3-850A-101B-AFC0-4210102A8DA7} 
            Picture         =   "ShellVwr.frx":0C74
            Key             =   ""
         EndProperty
      EndProperty
   End
End
Attribute VB_Name = "fShellVwr"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ------------------------------------------------------------------------
'      Copyright  1997 Microsoft Corporation.  All rights reserved.
'
' You have a royalty-free right to use, modify, reproduce and distribute
' the Sample Application Files (and/or any modified version) in any way
' you find useful, provided that you agree that Microsoft has no warranty,
' obligations or liability for any Sample Application Files.
' ------------------------------------------------------------------------
Option Explicit
Private Declare Function GetPrivateProfileString Lib "kernel32" Alias "GetPrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Long, ByVal lpFileName As String) As Long

'----------------------------------------------------------------------
Private Sub Form_Load()
'----------------------------------------------------------------------
    Dim cmd As String
    Dim fName As String
    Dim fpName As String
    Dim rNode As Node
    Dim sStart As Long
    Dim sEnd As Long
'----------------------------------------------------------------------
    cmd = Trim$(Command$) & " "
    sStart = 1
    sEnd = InStr(sStart, cmd, " ")
    Me.Caption = "INI File Viewer..."
    
    Do While (sEnd > 0)
        fpName = Mid$(cmd, sStart, sEnd - sStart)
        fName = Dir$(fpName, vbArchive Or vbHidden Or vbNormal Or vbReadOnly Or vbSystem)
    
        If (fpName <> "") Then
            Set rNode = Tree.Nodes.Add(, tvwChild, "ROOT" & CStr(Tree.Nodes.Count), fName, 1, 1)
            DoEvents
            ReadIniFile Tree, rNode, fpName
            rNode.Expanded = True
        End If
    
        sStart = sEnd + 1
        sEnd = InStr(sStart, cmd, " ")
    Loop
'----------------------------------------------------------------------
End Sub
'----------------------------------------------------------------------

'----------------------------------------------------------------------
Private Sub Form_Resize()
'----------------------------------------------------------------------
    With Tree
        .Move .Left, .Top, Me.ScaleWidth, Me.ScaleHeight
    End With
'----------------------------------------------------------------------
End Sub
'----------------------------------------------------------------------

'----------------------------------------------------------------------
Public Sub ReadIniFile(Tree As TreeView, rNode As Node, ByVal FileName As String)
'----------------------------------------------------------------------
    Dim rc As Long
    Dim AppName As String
    Dim RetStr As String
    Dim sSection As String
    Dim sKey As String
    Dim sKeyVal As String
    Dim sVal As String
    Dim nSize As Long
    Dim sStart As Long
    Dim sStart2 As Long
    Dim sEnd As Long
    Dim sEnd2 As Long
    Dim pNode As Node
    Dim Id As Long
'----------------------------------------------------------------------
    nSize = FileLen(FileName)
    RetStr = Space$(nSize)
    rc = GetPrivateProfileString(vbNullString, vbNullString, "", RetStr, nSize, FileName)
    
    If (rc > 0) Then
        RetStr = Left$(RetStr, rc)
        sStart = 1
        sEnd = InStr(sStart, RetStr, vbNullChar)
                
        With Tree
            Id = .Nodes.Count
            Do While (sEnd > 0)
                sSection = Mid$(RetStr, sStart, (sEnd - sStart))
                Set pNode = .Nodes.Add(rNode, tvwChild, "p" & CStr(Id), "[" & sSection & "]", 2, 3)
                Id = Id + 1
                
                nSize = 1024
                sKey = Space(nSize)
                rc = GetPrivateProfileString(sSection, vbNullString, "", sKey, nSize, FileName)
                
                If (rc > 0) Then
                    sKey = Left$(sKey, rc)
                    sStart2 = 1
                    sEnd2 = InStr(sStart2, sKey, vbNullChar)
                    
                    Do While (sEnd2 > 0)
                        sKeyVal = Mid$(sKey, sStart2, (sEnd2 - sStart2))
                        nSize = 1024
                        sVal = Space(nSize)
                        rc = GetPrivateProfileString(sSection, sKeyVal, "", sVal, nSize, FileName)
                        
                        If (rc > 0) Then
                            sVal = Left$(sVal, rc)
                        Else
                            sVal = ""
                        End If
                        .Nodes.Add pNode, tvwChild, "c" & CStr(Id), sKeyVal & "=" & sVal, 4, 4
                        Id = Id + 1
                        
                        sStart2 = sEnd2 + 1
                        sEnd2 = InStr(sStart2, sKey, vbNullChar)
                    Loop
                End If
                
                sStart = sEnd + 1
                sEnd = InStr(sStart, RetStr, vbNullChar)
            Loop
        End With
    End If
'----------------------------------------------------------------------
End Sub
'----------------------------------------------------------------------

